* gph_fig16_23.do

* Choose the directory where you store the files for the book.
* In the book's examples the command is -cd C:\docs\ishr4-

use twoalcohol.dta, clear
set scheme lean1

twoway                                      ///
   (scatter use2 use1, msymbol(oh))         ///
   (function y=x, range(0 8))               ///
   ,                                        ///
   title("Simple scatterplot", size(*.8))   ///
   xtitle("Alcohol U/wk. 1st quest.")       ///
   ytitle("Alcohol U/wk. 2nd quest.")       ///
   legend(off) aspectratio(1)               ///
   name(plot1, replace)

collapse (count) n=id, by(use1 use2)

twoway                                          ///
   (scatter use2 use1 [fweight=n], msymbol(oh)) ///
   (function y=x, range(0 8))                   ///
   ,                                            ///
   title("Weighted scatterplot", size(*.8))     ///
   xtitle("Alcohol U/wk. 1st quest.")           ///
   ytitle("Alcohol U/wk. 2nd quest.")           ///
   xscale(range(-1 8)) yscale(range(-1 8))      ///
   legend(off) aspectratio(1)                   ///
   name(plot2, replace)

graph combine plot1 plot2, rows(1) xsize(5) ysize(2.4) iscale(1.2)
